//--------------------------------------------------------------
// File     : main.c
// Datum    : 03.11.2013
// Version  : 1.1
// Autor    : UB
// EMail    : mc-4u(@)t-online.de
// Web      : www.mikrocontroller-4u.de
// CPU      : STM32F429
// IDE      : CooCox CoIDE 1.7.4
// GCC      : 4.7 2012q4
// Module   : CMSIS_BOOT, M4_CMSIS_CORE
// Funktion : Demo der Touch-Library
// Hinweis  : Diese zwei Files muessen auf 8MHz stehen
//              "cmsis_boot/stm32f4xx.h"
//              "cmsis_boot/system_stm32f4xx.c"
// In Configuration diese Define hinzufgen :
// "STM32F429_439xx" , "__ASSEMBLY__" , "USE_STDPERIPH_DRIVER"
//--------------------------------------------------------------

#include "main.h"
#include "stm32_ub_lcd_ili9341.h"
#include "stm32_ub_font.h"
#include "stm32_ub_touch_stmpe811.h"
#include <stdio.h>

int main(void)
{
  uint16_t xp,yp;
  char buf[30];

  SystemInit(); // Quarz Einstellungen aktivieren

  // Init vom LCD
  UB_LCD_Init();
  // Init der Layer
  UB_LCD_LayerInit_Fullscreen();
  // auf Hintergrund schalten
  UB_LCD_SetLayer_1();
  // Hintergrund komplett mit einer Farbe fllen
  UB_LCD_FillLayer(RGB_COL_WHITE);
  // auf Vordergrund schalten
  UB_LCD_SetLayer_2();
  // Vordergrund komplett mit einer Farbe fllen
  UB_LCD_FillLayer(RGB_COL_GREEN);

  // Ueberschrift
  UB_Font_DrawString(10,10,"Demo_15 :     ",&Arial_11x18,RGB_COL_WHITE,RGB_COL_RED);
  UB_Font_DrawString(10,30,"Touch STMPE811",&Arial_11x18,RGB_COL_WHITE,RGB_COL_RED);

  // init und Check vom Touch
  if(UB_Touch_Init()!=SUCCESS) {
    UB_Font_DrawString(10,70,"Error",&Arial_11x18,RGB_COL_WHITE,RGB_COL_RED);
    while(1);
  }


  while(1)
  {
    // Touch auslesen
    UB_Touch_Read();
    if(Touch_Data.status==TOUCH_PRESSED) {
      UB_Font_DrawString(10,70,"Pressed ",&Arial_11x18,RGB_COL_BLACK,RGB_COL_GREEN);
      xp=Touch_Data.xp;
      yp=Touch_Data.yp;
      // XY-Koordinaten anzeigen
      sprintf(buf,"X=%4d",xp);
      UB_Font_DrawString(10,90,buf,&Arial_11x18,RGB_COL_BLACK,RGB_COL_GREEN);
      sprintf(buf,"Y=%4d",yp);
      UB_Font_DrawString(10,110,buf,&Arial_11x18,RGB_COL_BLACK,RGB_COL_GREEN);
      // einen Punkt an XY-Koordinate zeichnen
      UB_LCD_SetCursor2Draw(xp,yp);
      UB_LCD_DrawPixel(RGB_COL_BLACK);
    }
    else {
      UB_Font_DrawString(10,70,"Released",&Arial_11x18,RGB_COL_BLACK,RGB_COL_GREEN);
      UB_Font_DrawString(10,90,"       ",&Arial_11x18,RGB_COL_BLACK,RGB_COL_GREEN);
      UB_Font_DrawString(10,110,"       ",&Arial_11x18,RGB_COL_BLACK,RGB_COL_GREEN);
    }
  }
}

